> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Carriers

> Lists all carriers supported by Clasp.



## OpenAPI

````yaml get /carriers
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /carriers:
    get:
      tags:
        - carriers
      description: Lists all carriers supported by Clasp.
      operationId: carriers_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCarrierList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedCarrierList:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/Carrier'
    Carrier:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        legal_name:
          type: string
          maxLength: 255
        trade_name:
          type: string
          nullable: true
          maxLength: 255
        logo_url:
          type: string
          format: uri
          maxLength: 200
      required:
        - id
        - legal_name
        - logo_url
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````